ตัวสร้าง TOTP / HOTP: รหัสผ่านครั้งเดียวที่ปลอดภัย
ตัวสร้าง TOTP / HOTP สร้างรหัสผ่านครั้งเดียวจากความลับ Base32 ที่ใช้ร่วมกัน TOTP ใช้เวลาปัจจุบัน ส่วน HOTP ใช้ตัวนับ เลือก 6, 7 หรือ 8 หลัก SHA-1, SHA-256 หรือ SHA-512 และช่วงเวลาเช่น 15, 30 หรือ 60 วินาที การนับถอยหลังสดแสดงว่าโค้ด TOTP ปัจจุบันใช้ได้อีกนานเท่าใด
ตัวสร้าง TOTP / HOTP สร้างรหัสผ่านครั้งเดียวที่ใช้ในการยืนยันตัวตนสองขั้นตอน รองรับ TOTP (RFC 6238) ซึ่งสร้างโค้ดใหม่จากเวลาปัจจุบันและความลับที่ใช้ร่วมกัน และ HOTP (RFC 4226) ซึ่งสร้างโค้ดจากตัวนับ ความลับที่ใช้ร่วมกันเข้ารหัสเป็น Base32 (RFC 4648) ซึ่งเป็นรูปแบบที่รหัส QR ของ Google Authenticator ใช้
ในการสร้างโค้ด เครื่องมือใช้ความลับที่ใช้ร่วมกันกับการตั้งค่าที่เลือก คุณสามารถเลือก 6, 7 หรือ 8 หลัก SHA-1, SHA-256 หรือ SHA-512 และช่วงเวลา TOTP เช่น 15, 30 หรือ 60 วินาที แถบนับถอยหลังสดแสดงว่าโค้ดที่อิงเวลาปัจจุบันใช้ได้อีกนานเท่าใด การคำนวณใช้ WebCrypto HMAC และทำงานในเบราว์เซอร์ของคุณ
TOTP และ HOTP ต่างกันที่ค่าที่ใช้สร้างโค้ดแต่ละรายการ: TOTP ใช้เวลา ส่วน HOTP ใช้ตัวนับ ทั้งสองรูปแบบสร้างรหัสผ่านครั้งเดียวจากความลับที่ใช้ร่วมกัน แต่ความแตกต่างสำคัญเมื่อทดสอบหรือทำงานกับโฟลว์การยืนยันตัวตนสองขั้นตอนเฉพาะ ใช้ตัวสร้างเพื่อเตรียมโค้ดสำหรับข้อมูลเทสต์ ตรวจสอบเวิร์กโฟลว์ของแอปรับรองความถูกต้อง หรือเปรียบเทียบทั้งสองมาตรฐาน
ตัวสร้าง TOTP / HOTP ทำงานในเบราว์เซอร์ของคุณ และไม่มีการส่งข้อมูลไปยังเซิร์ฟเวอร์ ไม่มีการพึ่งพาเซิร์ฟเวอร์ ดังนั้นหลังโหลดหน้าแล้วจะทำงานออฟไลน์ต่อไป เหมาะสำหรับนักพัฒนาและวิศวกร DevOps ที่ต้องการโค้ดสำหรับทดสอบในเครื่อง ฟิกซ์เจอร์ เอกสาร หรืองานพัฒนาโดยไม่ต้องส่งความลับที่ใช้ร่วมกันไปที่อื่น
ขั้นตอนที่ 1: ป้อนความลับที่ใช้ร่วมกันในรูปแบบ Base32 ซึ่งเป็นการเข้ารหัสที่ใช้ในรหัส QR ของแอปรับรองความถูกต้อง
ขั้นตอนที่ 2: ตั้งค่าตัวเลือกที่มี: เลือก 6, 7 หรือ 8 หลัก และ SHA-1, SHA-256 หรือ SHA-512
ขั้นตอนที่ 3: เลือกช่วงเวลาสำหรับ TOTP เช่น 15, 30 หรือ 60 วินาที
ขั้นตอนที่ 4: สร้างรหัสผ่านครั้งเดียวและดูการนับถอยหลังสดเพื่อดูว่าโค้ด TOTP ปัจจุบันใช้ได้อีกนานเท่าใด
ขั้นตอนที่ 5: คัดลอกค่าที่คุณต้องการสำหรับเทสต์ ฟิกซ์เจอร์ หรือเวิร์กโฟลว์อื่นๆ
กรณีการใช้งาน: สร้างค่า TOTP หรือ HOTP สำหรับเทสต์รับรองความถูกต้อง ฟิกซ์เจอร์ และข้อมูลซีด แทนการพิมพ์โค้ดตัวอย่างด้วยมือ
กรณีการใช้งาน: สร้างโค้ดเป็นชุดพร้อมกันเมื่อเตรียมข้อมูลเทสต์ แทนการคิดค่าขึ้นมาเองทีละค่า
กรณีการใช้งาน: สร้างโค้ดตามมาตรฐานและการตั้งค่าที่เลือก แทนการพึ่งพาการเดาพิมพ์จากแป้นพิมพ์
กรณีการใช้งาน: ตรวจสอบว่าความลับ Base32 ที่ใช้ร่วมกันสร้างรหัสผ่านครั้งเดียวได้อย่างไรเมื่อทดสอบเวิร์กโฟลว์ของแอปรับรองความถูกต้อง
กรณีการใช้งาน: เปรียบเทียบโค้ด TOTP ที่อิงเวลากับโค้ด HOTP ที่อิงตัวนับขณะพัฒนาหรือดีบักการยืนยันตัวตนสองขั้นตอน
กรณีการใช้งาน: เตรียมรหัสผ่านครั้งเดียวตัวอย่างสำหรับเอกสาร การสาธิต หรืองานพัฒนาอื่นๆ